Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

Identify the API key owner

GET/whoami
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Responses
200

The user or organization the key belongs to.

One of:
WhoamiUser
keyTypestringrequired
idstringrequired
emailstringrequired
namestringrequired
displayNamestring | nullrequired
WhoamiOrganization
keyTypestringrequired
idstringrequired
namestringrequired
slugstringrequired
typestring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Request
curl -X GET 'https://api.dartpilot.app/v1/whoami' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "keyType": "user",
  "id": "string",
  "email": "string",
  "name": "string",
  "displayName": "string"
}

Was this page helpful?